/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, markType } from "./type";
/**
 * @hidden
 */
var SectionData = /** @class */ (function (_super) {
    __extends(SectionData, _super);
    function SectionData() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.m = 0;
        _this.n = 0;
        _this.l = 0;
        _this.c = null;
        _this.d = null;
        _this.e = null;
        _this.h = 0;
        _this.g = 0;
        _this.k = 0;
        _this.b = null;
        _this.a = null;
        return _this;
    }
    Object.defineProperty(SectionData.prototype, "j", {
        get: function () {
            return this.n + this.b.length - this.g;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SectionData.prototype, "i", {
        get: function () {
            return this.j + this.k - 1;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SectionData.prototype, "f", {
        get: function () {
            for (var a = 0; a < this.b.length; a++) {
                if (!this.b[a]) {
                    return false;
                }
            }
            return true;
        },
        enumerable: true,
        configurable: true
    });
    SectionData.prototype.o = function (a, b) {
        this.p(a, b, this.c.length);
    };
    SectionData.prototype.p = function (a, b, c) {
        switch (a) {
            case 0:
                this.b = new Array(1);
                this.a = new Array(1);
                break;
            case 1:
                this.b = new Array(c);
                this.a = new Array(c);
                break;
        }
        for (var d = 0; d < this.b.length; d++) {
            this.b[d] = b;
        }
    };
    SectionData.$t = markType(SectionData, 'SectionData');
    return SectionData;
}(Base));
export { SectionData };
